import { admin } from '../firebaseConfig.js';

export function HandlePush(req, res) {
  const { fcmToken, title, body, parameter, sound, badge } = req.body;

  if (!fcmToken || !title || !body) {
    res.status(400).json({ error: 'fcmToken, title, body, and parameter are required' });
    return;
  }

  const message = {
    token: fcmToken,
    notification: {
      title: title,
      body: body,
    },
    apns: {
      payload: {
        aps: {
          alert: {
            title: title,
            body: body,
            parameter: parameter,
          },
          sound: sound || 'default',
          badge: badge ? Number(badge) : 0,
        },
      },
    },
  };


  // const jjApp = admin.app('jjungtable');

  admin.app('jjungtable').messaging().send(message)
    .then((response) => {
      console.log('Successfully sent message:', response);
      res.status(200).json({ message: 'Successfully sent message' });
    })
    .catch((error) => {
      console.error('Error sending message:', error);
      res.status(500).json({ error: `Error sending message: ${error.message}` });
    });
}

